function [m1,m2] = BMUmax(D)
% Best matching unit
% the largest correlation/cosine = the winner (max)
% d ... vector of distances between input vectors and weight vectors of output neurons
% j ... position of the best matching neuron
[numbers,rows] = max(D);
[number,column] = max(numbers);
row = rows(column);
m1 = row;
m2 = column;

if size(D,1)==1
    m2 = row;
    m1 = column;
end
end