function [Y] = assignment(IV,X,M1,W,Yfilename)
% assignment

% Y ... matrix of cluster assignment, size: 2xIV
Y = zeros(IV,2);
% for each input vector do
for iv=1:IV
    % 1) predlozeni vzoru
    %x ... one input vector
    x = X(iv,:);
    % 2) calculation of distances between input vector and
    % weight vectors of output neurons
    % D ... matrix of distances between ivth input vector and weight vectors of
    % output neurons
    % Euclidean distance
    D = EuclideanDistance(x,M1,W);
    %3) selection of the nearest (the most similar) neuron
    [m1,m2] = BMU(D);
    %4) cluster assignment
    Y(iv,1) = m1;
    Y(iv, 2) = m2;
end

% save matrix Y to file 
csvwrite(Yfilename,Y);
end