function [image_original_transformed] = dataPreparation(image_original)
    [ir,ic] = size(image_original);
    image_original_transformed = zeros(ir*ic-2*ir-2*ic+4,9);
    k=0;
    for i = 1 : (ir-2)
        for j = 1 : (ic-2)
            k = k+1;
            % P1 ... (i,j)
            % P1 P2 P3 P4 P5 P6 P7 P8 P9
            image_original_transformed(k,:) = [image_original(i,j), image_original(i,j+1), image_original(i,j+2),...
                image_original(i+1,j), image_original(i+1,j+1), image_original(i+1,j+2),...
                image_original(i+2,j), image_original(i+2,j+1), image_original(i+2,j+2),]; 
        end
    end